<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="de"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>App.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">heatdemand</a> &gt; <a href="index.source.html" class="el_package">de.csbme.ifaxx</a> &gt; <span class="el_source">App.java</span></div><h1>App.java</h1><pre class="source lang-java linenums">package de.csbme.ifaxx;

/**
 * Hello world!
 *
 */
<span class="nc" id="L7">public class App {</span>

    public static double calculateHeatingDemand(
        Double[] gasConsumption, 
        Double[] temperatureOutside,
        long startDayIndex,
        long dayAmount,
        double temperatureInside,
        double temperatureHeatinglimit){
            
<span class="fc" id="L17">    return 0;</span>
}

    public static void main(String[] args) {
<span class="nc" id="L21">        System.out.println(&quot;Beispielausgabe zur Berechnung einer Heizkennziffer:&quot;);</span>
<span class="nc" id="L22">        double heatingDemand = calculateHeatingDemand(new Double[]{1.1}, new Double[]{20.0}, 0, 1, 18.0, 14.0);</span>
<span class="nc" id="L23">        System.out.println(heatingDemand);</span>
<span class="nc" id="L24">    }</span>

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>